Network
All operations require authentication.
List share networksProduction
Returns the share networks of the project.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the share network
Current observed state of the share network from the infrastructure
Ongoing asynchronous tasks related to the share network
Unique identifier of the share network
Share network readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the share network
Last update date of the share network
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ network \
-H "authorization: Bearer $OVH_TOKEN"1[2 {3 "checksum": "string",4 "createdAt": "2024-01-01T12:00:00Z",5 "currentState": {6 "description": "string",7 "location": {8 "availabilityZone": "string",9 "region": "string"10 },11 "name": "string",12 "network": {13 "id": "00000000-0000-0000-0000-000000000000"14 },15 "subnet": {16 "id": "00000000-0000-0000-0000-000000000000"17 }18 },19 "currentTasks": [20 {21 "errors": [22 {23 "message": "string"24 }25 ],26 "id": "00000000-0000-0000-0000-000000000000",27 "link": "string",28 "status": "ERROR",29 "type": "string"30 }31 ],32 "id": "00000000-0000-0000-0000-000000000000",33 "resourceStatus": "CREATING",34 "targetSpec": {35 "description": "string",36 "location": {37 "availabilityZone": "string",38 "region": "string"39 },40 "name": "string",41 "network": {42 "id": "00000000-0000-0000-0000-000000000000"43 },44 "subnet": {45 "id": "00000000-0000-0000-0000-000000000000"46 }47 },48 "updatedAt": "2024-01-01T12:00:00Z"49 }50]
Get a share networkProduction
Returns the share network and the network and subnet behind it.
Path parameters
Network ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the share network
Current observed state of the share network from the infrastructure
Ongoing asynchronous tasks related to the share network
Unique identifier of the share network
Share network readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the share network
Last update date of the share network
Example uses networkId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ network/ {networkId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "checksum": "string",3 "createdAt": "2024-01-01T12:00:00Z",4 "currentState": {5 "description": "string",6 "location": {7 "availabilityZone": "string",8 "region": "string"9 },10 "name": "string",11 "network": {12 "id": "00000000-0000-0000-0000-000000000000"13 },14 "subnet": {15 "id": "00000000-0000-0000-0000-000000000000"16 }17 },18 "currentTasks": [19 {20 "errors": [21 {22 "message": "string"23 }24 ],25 "id": "00000000-0000-0000-0000-000000000000",26 "link": "string",27 "status": "ERROR",28 "type": "string"29 }30 ],31 "id": "00000000-0000-0000-0000-000000000000",32 "resourceStatus": "CREATING",33 "targetSpec": {34 "description": "string",35 "location": {36 "availabilityZone": "string",37 "region": "string"38 },39 "name": "string",40 "network": {41 "id": "00000000-0000-0000-0000-000000000000"42 },43 "subnet": {44 "id": "00000000-0000-0000-0000-000000000000"45 }46 },47 "updatedAt": "2024-01-01T12:00:00Z"48}
Create a share networkProduction
Creates a share network on a network and subnet of the project. A file storage is attached to a share network at creation.
Path parameters
Project ID
Request body (required)
Desired target specification for the share network
Response
Computed hash representing the current target specification value
Creation date of the share network
Current observed state of the share network from the infrastructure
Ongoing asynchronous tasks related to the share network
Unique identifier of the share network
Share network readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the share network
Last update date of the share network
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ network \
-H "authorization: Bearer $OVH_TOKEN"1{2 "checksum": "string",3 "createdAt": "2024-01-01T12:00:00Z",4 "currentState": {5 "description": "string",6 "location": {7 "availabilityZone": "string",8 "region": "string"9 },10 "name": "string",11 "network": {12 "id": "00000000-0000-0000-0000-000000000000"13 },14 "subnet": {15 "id": "00000000-0000-0000-0000-000000000000"16 }17 },18 "currentTasks": [19 {20 "errors": [21 {22 "message": "string"23 }24 ],25 "id": "00000000-0000-0000-0000-000000000000",26 "link": "string",27 "status": "ERROR",28 "type": "string"29 }30 ],31 "id": "00000000-0000-0000-0000-000000000000",32 "resourceStatus": "CREATING",33 "targetSpec": {34 "description": "string",35 "location": {36 "availabilityZone": "string",37 "region": "string"38 },39 "name": "string",40 "network": {41 "id": "00000000-0000-0000-0000-000000000000"42 },43 "subnet": {44 "id": "00000000-0000-0000-0000-000000000000"45 }46 },47 "updatedAt": "2024-01-01T12:00:00Z"48}
Delete a share networkProduction
Deletes the share network. A share network still used by a file storage cannot be deleted.
Path parameters
Network ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the share network
Current observed state of the share network from the infrastructure
Ongoing asynchronous tasks related to the share network
Unique identifier of the share network
Share network readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the share network
Last update date of the share network
Example uses networkId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ storage/ file/ network/ {networkId} \
-H "authorization: Bearer $OVH_TOKEN"1{2 "checksum": "string",3 "createdAt": "2024-01-01T12:00:00Z",4 "currentState": {5 "description": "string",6 "location": {7 "availabilityZone": "string",8 "region": "string"9 },10 "name": "string",11 "network": {12 "id": "00000000-0000-0000-0000-000000000000"13 },14 "subnet": {15 "id": "00000000-0000-0000-0000-000000000000"16 }17 },18 "currentTasks": [19 {20 "errors": [21 {22 "message": "string"23 }24 ],25 "id": "00000000-0000-0000-0000-000000000000",26 "link": "string",27 "status": "ERROR",28 "type": "string"29 }30 ],31 "id": "00000000-0000-0000-0000-000000000000",32 "resourceStatus": "CREATING",33 "targetSpec": {34 "description": "string",35 "location": {36 "availabilityZone": "string",37 "region": "string"38 },39 "name": "string",40 "network": {41 "id": "00000000-0000-0000-0000-000000000000"42 },43 "subnet": {44 "id": "00000000-0000-0000-0000-000000000000"45 }46 },47 "updatedAt": "2024-01-01T12:00:00Z"48}